import { select, arc } from 
'd3';

const svg = select('svg');
;

const width = +svg.attr('width');
const height = +svg.attr('height');
const mouthsize = 150;

const eyeSpacing = 100;
const eyeOffset = 70;
const eyeRadius = 30;
const eyeBrowWidth = 70;
const eyeBrowHeight = 15;
const eyeBrowOffset = -70;
const mouthOffset = 100;

const g = svg.append('g')
	.attr('transform', `translate(${width/2}, ${height/2})`);

const circle = g
  .append('circle')
    .attr('r', height/2)
    .attr('fill', 'yellow')
    .attr('stroke', 'black');

const eyesG = g
  .append('g')
    .attr('transform', `translate(0, -${eyeOffset})`);

const leftEye = eyesG
  .append('circle')
    .attr('r', eyeRadius)
    .attr('cx', - eyeSpacing);

const rightEye = eyesG
  .append('circle')
    .attr('r', eyeRadius)
    .attr('cx', + eyeSpacing);

const eyebrowsG = eyesG
	.append('g')
		.attr('transform', `translate(0, ${eyeBrowOffset})`);

eyebrowsG
	.transition().duration(2000)
		.attr('transform', `translate(0, ${eyeBrowOffset -50})`)
	.transition().duration(2000)
		.attr('transform', `translate(0, ${eyeBrowOffset})`);

const leftEyebrow = eyebrowsG
  .append('rect')
    .attr('x', -eyeSpacing - eyeBrowWidth/2)
    .attr('width', eyeBrowWidth)
    .attr('height', eyeBrowHeight);

const rightEyebrow = eyebrowsG
  .append('rect')
    .attr('x', eyeSpacing - eyeBrowWidth/2)
    .attr('width', eyeBrowWidth)
    .attr('height', eyeBrowHeight);

const mouthG = g
	.append('g')
		.attr('transform', `translate(0, ${mouthOffset})`);

mouthG
	.transition().duration(2000)
		.attr('transform', `translate(0, ${mouthOffset - 100})`)
    .attr('d', arc()({
    innerRadius: mouthsize - 20,
    outerRadius: mouthsize,
    startAngle: Math.PI*2,
    endAngle: Math.PI/2*3
  }))
	.transition().duration(2000)
		.attr('transform', `translate(0, ${mouthOffset + 50})`)
    .attr('d', arc()({
    innerRadius: mouthsize - 20,
    outerRadius: mouthsize,
    startAngle: Math.PI/2,
    endAngle: -Math.PI/2
  }));;

const mouth = mouthG
  .append('path');